unit WebTestAssert;

interface

uses
  WEBLib.UnitTesting.Classes;

type
{$M+}

  // Example of a class containing methods with unit tests.
  // Mark it with [TestFixture] custom attribute and register with
  // TTMSWEBUnitTestingRunner as shown below.
  [TestFixture]
  TMyTestClassUnit3 = class(TObject)
  published
    // Example method that contains a unit test. Annotate it with [Test]
    [Test]
    procedure TestAssertIsFalse;
    [Test]
    procedure TestAssertIsTrue;
  end;
{$M-}

implementation

uses
  SysUtils;

{ TMyTestClassUnit3 }

procedure TMyTestClassUnit3.TestAssertIsFalse;
var
  rslt: boolean;
begin
  rslt := false;
  Assert.IsFalse(rslt, 'Assert Is-False against false');
  rslt := true;
  Assert.IsFalse(rslt, 'Assert Is-False against true');
end;

procedure TMyTestClassUnit3.TestAssertIsTrue;
var
  rslt: boolean;
begin
  rslt := false;
  Assert.IsTrue(rslt, 'Assert Is-True against false');
  rslt := true;
  Assert.IsTrue(rslt, 'Assert Is-True against true');
end;

initialization

// Registration of the test classes.
TTMSWEBUnitTestingRunner.RegisterClass(TMyTestClassUnit3);

end.
